#Meta paketi ile Yayın yanlılığının yayın türüne göre belirlenmesi
Stem<-read.csv("Stem.csv", header = T, sep = ";")
library(meta)
EB <- metacont(Stem$nE, Stem$mE, Stem$sdE,Stem$nC, Stem$mC, Stem$sdC,data = Stem,  studlab = paste(Çalışma), sm = "SMD")
YD<-update(EB, byvar=Stem$Yayın)
YD

#Metafor paketi ile huni grafiğinin oluşturulması
Stem<-read.csv("Stem.csv", header = T, sep = ";")
library(metafor)
EB<-escalc(measure = "SMD", m1i = Stem$mE, m2i = Stem$mC, sd1i = Stem$sdE, sd2i = Stem$sdC, n1i = Stem$nE, n2i = Stem$nC, vtype = "LS")
REM<-rma(yi, vi, data=EB, method="DL")
funnel(REM)

#Sınır çizgileri ile zenginleştirilmiş (contour funnel plot) huni grafiğinin oluşturulması
funnel(REM, level=c(90, 95, 99), shade=c("white", "gray", "darkgray"))

#Meta paketi ile huni grafiğinin oluşturulması
library(meta)
EB <- metacont(Stem$nE, Stem$mE, Stem$sdE,Stem$nC, Stem$mC, Stem$sdC,data = Stem,  studlab = paste(Çalışma), sm = "SMD")
funnel(EB)

#Metafor paketi ile Duval ve Tweedie’nin Kırpma ve Doldurma testinin yapılması
library(metafor)
EB<-escalc(measure = "SMD", m1i = Stem$mE, m2i = Stem$mC, sd1i = Stem$sdE, sd2i = Stem$sdC, n1i = Stem$nE, n2i = Stem$nC, vtype = "LS")
REM<-rma(yi, vi, data=EB, method="DL")
trimfill.rma.uni(REM)

#Meta paketi ile Duval ve Tweedie’nin Kırpma ve Doldurma testinin yapılması
library(meta)
EB <- metacont(Stem$nE, Stem$mE, Stem$sdE,Stem$nC, Stem$mC, Stem$sdC,data = Stem,  studlab = paste(Çalışma), sm = "SMD")
trimfill(EB)

#Metafor paketi ile Egger'in Kesen testinin yapılması
library(metafor)
EB<-escalc(measure = "SMD", m1i = Stem$mE, m2i = Stem$mC, sd1i = Stem$sdE, sd2i = Stem$sdC, n1i = Stem$nE, n2i = Stem$nC, vtype = "LS")
regtest(EB$yi, EB$vi, predictor = "sei")

#Meta paketi ile Egger'in Kesen testinin yapılması
library(meta)
EB <- metacont(Stem$nE, Stem$mE, Stem$sdE,Stem$nC, Stem$mC, Stem$sdC,data = Stem,  studlab = paste(Çalışma), sm = "SMD")
metabias(EB)

#Metafor paketi ile Rosenthal'in Korumalı N testinin yapılması
library(metafor)
EB<-escalc(measure = "SMD", m1i = Stem$mE, m2i = Stem$mC, sd1i = Stem$sdE, sd2i = Stem$sdC, n1i = Stem$nE, n2i = Stem$nC, vtype = "LS")
fsn(EB$yi, EB$vi, type="Rosenthal", alpha=.05,digits=4)




